Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/reverse

Reverse commited posting

Reveres a specific posting by its id which was already committed by creating a reverse booking for it. This will create a new posting with the reverse amount. Can only reverse up to 500 postings at a time.

Required permissions:

  • mandate.read

  • posting.insert

Path Parameters

mandateIdstringrequired
organizationIdstringrequired
postingIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/reverse
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/postings/{postingId}/reverse' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}